be.ehealth.technicalconnector.ws.feature

## Class AbstractSigningFeature

- java.lang.Object
- - be.ehealth.technicalconnector.ws.feature.GenericFeature
  - - be.ehealth.technicalconnector.ws.feature.AbstractSigningFeature

- Direct Known Subclasses:
    SHA1Feature, SHA256Feature

      public abstract class AbstractSigningFeature
      extends GenericFeature

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DIGEST_METHOD_ALGORITHM`
    `static String` | `EC_SIGNATURE_METHOD_ALGORITHM`
    `static String` | `ID`
    `static String` | `RSA_SIGNATURE_METHOD_ALGORITHM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSigningFeature()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getID()` Get the unique identifier for this WebServiceFeature.
    `Map<String,Object>` | `requestParamOptions()`

    - ### Methods inherited from class be.ehealth.technicalconnector.ws.feature.GenericFeature

      `getHandlers, isEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### EC_SIGNATURE_METHOD_ALGORITHM

          public static final String EC_SIGNATURE_METHOD_ALGORITHM

      See Also:
        Constant Field Values

    - #### RSA_SIGNATURE_METHOD_ALGORITHM

          public static final String RSA_SIGNATURE_METHOD_ALGORITHM

      See Also:
        Constant Field Values

    - #### DIGEST_METHOD_ALGORITHM

          public static final String DIGEST_METHOD_ALGORITHM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractSigningFeature

          public AbstractSigningFeature()

  - ### Method Detail

    - #### getID

          public String getID()

      Description copied from class: `GenericFeature`
      Get the unique identifier for this WebServiceFeature.
      Specified by:
        `getID` in class `GenericFeature`
      Returns:
        the unique identifier for this feature.

    - #### requestParamOptions

          public Map<String,Object> requestParamOptions()

      Overrides:
        `requestParamOptions` in class `GenericFeature`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.